<?php

namespace App\Http\Requests\Video;
use Illuminate\Http\Request;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;


class VideoStoreRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
 public function rules(Request $request)
    {
        return[
            'name' => 'required|string',
            'video_link' => 'required|string',
            'category_id' => [
                'required',
                'exists:categories,id', // Ensure the category exists
                Rule::unique('videos', 'category_id'), // Ensure category_id is unique in videos
            ],
        ];
        
        
    }

}
