<?php

namespace App\Models\ManagerDashboard\Exams\NamazegPlans\MonitorDistributions;

use App\Models\ManagerDashboard\Namazeg\NamazegVersion;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class DistributionAssignment extends Model
{
    use HasFactory,SoftDeletes;

    protected $table = 'exams_namazeg_monitor_distribution_assignments';

    protected $guarded = [];
    
    public function namozegVersion()
    {
        return $this->belongsTo(NamazegVersion::class, 'namazeg_version_id')->with('namozeg');
    }

    public function monitors()
    {
        return $this->hasMany(DistribtionAssignmentMonitor::class, 'md_assignment_id');
    }
}
