<?php

namespace App\Models\ManagerDashboard\Tables\ShiftSchedule;

use App\Models\AdminDashboard\School\SchoolSemester;
use App\Models\ManagerDashboard\Namazeg\NamazegVersion;
use App\Models\Week;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class ShiftSchedule extends Model
{
    use HasFactory,SoftDeletes;

    protected $table = 'shift_schedules';

    protected $guarded = [];

    public function semester()
    {
        return $this->belongsTo(SchoolSemester::class);
    }

    public function week()
    {
        return $this->belongsTo(Week::class);
    }

    public function namozegVersion(){
        return $this->belongsTo(NamazegVersion::class,'namazeg_version_id');
    }

}
