<?php

namespace App\Strategies;

use App\Helpers\Helper;
use App\Models\AdminDashboard\School\SchoolEmployee;
use App\Models\ManagerDashboard\Namazeg\NamazegTransformQuranStudent;

class Namozeg190Handler implements NamozegStrategy
{
    public function handle($school, $request, $namozeg_version,$type=null)
    {
        $query = NamazegTransformQuranStudent::with('student')->where('namazeg_version_id', $namozeg_version->id);

        if($type == 'trashed') {
            $query->withTrashed();
        }

        $namozeg = $query->firstOrFail();
        $manager_name = SchoolEmployee::where('school_id', $school->id)->where('current_work_id', 1)->first()?->name;

        return [
            'form_number' => $namozeg_version->namozeg->form_number,
            'serial_number' => $request->serial_number,
            'current_school_year' => $school->current_school_year,
            'school_name' => $school->name,
            'manager_name' => $manager_name,
            'student_name' => $namozeg->student->name,
            'class_number' => $namozeg->student->schoolClass?->class_number,
            'birth_date' => Helper::getDateOptions($namozeg->birth_date, 'coptic'),
            "nationality" => $namozeg->student->nationality,
            'class_name' => $namozeg->student->schoolClass->className->name,
            "last_certificate" => $namozeg->last_certificate,
            "certificate_source" => $namozeg->certificate_source,
            'certificate_date' => $namozeg->certificate_date ? Helper::getDateOptions($namozeg->certificate_date, 'coptic') : '',
            "trans_form" => $namozeg->trans_form,
            "trans_to" => $namozeg->trans_to,
            "study_type" => __('api.' . $namozeg->study_type),
            "n_faild_years" => $namozeg->n_faild_years,
            'faild_subjects' => $namozeg->faild_subjects,
            'n_stoped_years' => $namozeg->n_stoped_years,
            'stoped_reasons' => $namozeg->stoped_reasons,
            'form_department_number' => $namozeg->form_department_number,
            'form_department_date' => $namozeg->form_department_date ? Helper::getDateOptions($namozeg->form_department_date, 'coptic') : '',
            'degrees' => $namozeg->degrees,

        ];
    }
}
