<?php

namespace App\Strategies;

use App\Models\AdminDashboard\School\SchoolEmployee;
use App\Models\ManagerDashboard\AbsenseAndLateness\StudentAbsenceProcedureSubItem;

class Namozeg260Handler implements NamozegStrategy
{
    public function handle($school, $request, $namozeg_version,$type=null)
    {
        $query = StudentAbsenceProcedureSubItem::with('mainItem')->where('namozeg_version_id', $namozeg_version->id);

        if($type == 'trashed') {
            $query->withTrashed();
        }

        $namozeg = $query->firstOrFail();
        $manager_name = SchoolEmployee::where('school_id', $school->id)->where('current_work_id', 1)->first()?->name;
        
        return [
            'form_number' => $namozeg_version->namozeg->form_number,
            'serial_number' => $request->serial_number,
            'student_name' => $namozeg->mainItem->procedureStudent->student->name,
            'class_name' => $namozeg->mainItem->procedureStudent->student->SchoolClass->className->name,
            'n_absence_days' => $namozeg->mainItem->procedureStudent->absence_days,
            'manager_name' => $manager_name,
        ];
    }
}
