<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('assignment_committees', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('namazeg_version_id');
            $table->unsignedBigInteger('school_id');
            $table->unsignedBigInteger('committee_id');
            $table->string('date');
            $table->enum('date_type', ['coptic', 'hijri'])->nullable();
            $table->timestamps();
            $table->softDeletes();
            
            $table->foreign('committee_id')->references('id')->on('committees')->onDelete('cascade');

        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('assignment_committees');
    }
};
