<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('meetings', function (Blueprint $table) {
            if (!Schema::hasColumn('meetings', 'school_id')) {
                Schema::table('meetings', function (Blueprint $table) {
                    $table->unsignedBigInteger('school_id')->nullable()->after('semester_id');
                    $table->foreign('school_id')->references('id')->on('schools')
                        ->onDelete('cascade');
                });
            }
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('meetings', function (Blueprint $table) {
            if (Schema::hasColumn('meetings', 'school_id')) {
                Schema::table('meetings', function (Blueprint $table) {
                    $table->dropColumn('school_id');
                });
            }
        });
    }
};
