<?php

namespace Database\Seeders;

use App\Models\AdminDashboard\AreaAndCities\City;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class CitySeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $cities = [
            [1, 'الرياض', 1, 1, '2024-09-07 09:08:33', '2024-09-07 09:08:33', NULL],
            [2, 'الدرعية', 1, 1, '2024-09-07 09:08:33', '2024-09-07 09:08:33', NULL],
            [
                3,
                'الخرج',
                1,
                1,
                '2024-09-07 09:08:33',
                '2024-09-07 09:08:33',
                NULL
            ],
            [4, 'الدوادمي', 1, 1, '2024-09-07 09:08:33', '2024-09-07 09:08:33', NULL],
            [5, 'المجمعة', 1, 1, '2024-09-07 09:08:33', '2024-09-07 09:08:33', NULL],
            [6, 'القويعية', 1, 1, '2024-09-07 09:08:33', '2024-09-07 09:08:33', NULL],
            [7, 'الأفالج', 1, 1, '2024-09-07 09:08:33', '2024-09-07 09:08:33', NULL],
            [8, 'وادي الدواسر', 1, 1, '2024-09-07 09:08:33', '2024-09-07 09:08:33', NULL],
            [9, 'الزلفي', 1, 1, '2024-09-07 09:08:33', '2024-09-07 09:08:33', NULL],
            [10, 'شقراء', 1, 1, '2024-09-07 09:08:33', '2024-09-07 09:08:33', NULL],
            [11, 'حوطة بني تميم', 1, 1, '2024-09-07 09:08:33', '2024-09-07 09:08:33', NULL],
            [
                12,
                'عفيف',
                1,
                1,
                '2024-09-07 09:08:33',
                '2024-09-07 09:08:33',
                NULL
            ],
            [13, 'الغاط', 1, 1, '2024-09-07 09:08:33', '2024-09-07 09:08:33', NULL],
            [14, 'السليل', 1, 1, '2024-09-07 09:08:33', '2024-09-07 09:08:33', NULL],
            [
                15,
                'ضرما',
                1,
                1,
                '2024-09-07 09:08:33',
                '2024-09-07 09:08:33',
                NULL
            ],
            [16, 'المزاحمية', 1, 1, '2024-09-07 09:08:33', '2024-09-07 09:08:33', NULL],
            [
                17,
                'رماح',
                1,
                1,
                '2024-09-07 09:08:33',
                '2024-09-07 09:08:33',
                NULL
            ],
            [
                18,
                'ثادق',
                1,
                1,
                '2024-09-07 09:08:33',
                '2024-09-07 09:08:33',
                NULL
            ],
            [19, 'حريملاء', 1, 1, '2024-09-07 09:08:33', '2024-09-07 09:08:33', NULL],
            [20, 'الحريق', 1, 1, '2024-09-07 09:08:33', '2024-09-07 09:08:33', NULL],
            [
                21,
                'مرات',
                1,
                1,
                '2024-09-07 09:08:33',
                '2024-09-07 09:08:33',
                NULL
            ],
            [22, 'الرين', 1, 1, '2024-09-07 09:08:33', '2024-09-07 09:08:33', NULL],
            [23, 'الدلم', 1, 1, '2024-09-07 09:08:33', '2024-09-07 09:08:33', NULL],
            [24, 'جدة', 2, 1, '2024-09-07 09:10:12', '2024-09-07 09:10:12', NULL],
            [25, 'الطائف', 2, 1, '2024-09-07 09:10:12', '2024-09-07 09:10:12', NULL],
            [26, 'القنفذة', 2, 1, '2024-09-07 09:10:12', '2024-09-07 09:10:12', NULL],
            [27, 'الليث', 2, 1, '2024-09-07 09:10:12', '2024-09-07 09:10:12', NULL],
            [
                28,
                'رابغ',
                2,
                1,
                '2024-09-07 09:10:12',
                '2024-09-07 09:10:12',
                NULL
            ],
            [
                29,
                'خليص',
                2,
                1,
                '2024-09-07 09:10:12',
                '2024-09-07 09:10:12',
                NULL
            ],
            [30, 'الخرمة', 2, 1, '2024-09-07 09:10:12', '2024-09-07 09:10:12', NULL],
            [
                31,
                'رنية',
                2,
                1,
                '2024-09-07 09:10:12',
                '2024-09-07 09:10:12',
                NULL
            ],
            [
                32,
                'تربة',
                2,
                1,
                '2024-09-07 09:10:12',
                '2024-09-07 09:10:12',
                NULL
            ],
            [33, 'الجموم', 2, 1, '2024-09-07 09:10:12', '2024-09-07 09:10:12', NULL],
            [34, 'الكامل', 2, 1, '2024-09-07 09:10:12', '2024-09-07 09:10:12', NULL],
            [35, 'المويه', 2, 1, '2024-09-07 09:10:12', '2024-09-07 09:10:12', NULL],
            [36, 'ميسان', 2, 1, '2024-09-07 09:10:12', '2024-09-07 09:10:12', NULL],
            [37, 'أضم', 2, 1, '2024-09-07 09:10:12', '2024-09-07 09:10:12', NULL],
            [38, 'العرضيات', 2, 1, '2024-09-07 09:10:12', '2024-09-07 09:10:12', NULL],
            [
                39,
                'بحرة',
                2,
                1,
                '2024-09-07 09:10:12',
                '2024-09-07 09:10:12',
                NULL
            ],
            [40, 'المدينة المنورة', 3, 1, '2024-09-07 09:12:22', '2024-09-07 09:12:22', NULL],
            [
                41,
                'ينبع',
                3,
                1,
                '2024-09-07 09:12:22',
                '2024-09-07 09:12:22',
                NULL
            ],
            [42, 'العال', 3, 1, '2024-09-07 09:12:22', '2024-09-07 09:12:22', NULL],
            [43, 'المهد', 3, 1, '2024-09-07 09:12:22', '2024-09-07 09:12:22', NULL],
            [44, 'الحناكية', 3, 1, '2024-09-07 09:12:22', '2024-09-07 09:12:22', NULL],
            [45, 'بدر', 3, 1, '2024-09-07 09:12:22', '2024-09-07 09:12:22', NULL],
            [
                46,
                'خيبر',
                3,
                1,
                '2024-09-07 09:12:22',
                '2024-09-07 09:12:22',
                NULL
            ],
            [47, 'العيص', 3, 1, '2024-09-07 09:12:22', '2024-09-07 09:12:22', NULL],
            [48, 'وادي الفرع', 3, 1, '2024-09-07 09:12:22', '2024-09-07 09:12:22', NULL],
            [49, 'بريدة', 4, 1, '2024-09-07 09:12:22', '2024-09-07 09:12:22', NULL],
            [50, 'عنيزة', 4, 1, '2024-09-07 09:12:22', '2024-09-07 09:12:22', NULL],
            [
                51,
                'الرس',
                4,
                1,
                '2024-09-07 09:12:22',
                '2024-09-07 09:12:22',
                NULL
            ],
            [52, 'البدائع', 4, 1, '2024-09-07 09:12:22', '2024-09-07 09:12:22', NULL],
            [53, 'البكيرية', 4, 1, '2024-09-07 09:12:22', '2024-09-07 09:12:22', NULL],
            [54, 'المذنب', 4, 1, '2024-09-07 09:12:22', '2024-09-07 09:12:22', NULL],
            [55, 'الأسياح', 4, 1, '2024-09-07 09:12:22', '2024-09-07 09:12:22', NULL],
            [56, 'النبهانية', 4, 1, '2024-09-07 09:12:22', '2024-09-07 09:12:22', NULL],
            [57, 'الشماسية', 4, 1, '2024-09-07 09:12:22', '2024-09-07 09:12:22', NULL],
            [58, 'عيون الجواء', 4, 1, '2024-09-07 09:12:22', '2024-09-07 09:12:22', NULL],
            [59, 'رياض الخبراء', 4, 1, '2024-09-07 09:12:22', '2024-09-07 09:12:22', NULL],
            [60, 'عقلة الصقور', 4, 1, '2024-09-07 09:12:22', '2024-09-07 09:12:22', NULL],
            [
                61,
                'ضرية',
                4,
                1,
                '2024-09-07 09:12:22',
                '2024-09-07 09:12:22',
                NULL
            ],
            [62, 'أبانات', 4, 1, '2024-09-07 09:12:22', '2024-09-07 09:12:22', NULL],
            [63, 'الدمام', 5, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [64, 'الأحساء', 5, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [65, 'حفر الباطن', 5, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [66, 'الجبيل', 5, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [67, 'القطيف', 5, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [68, 'الخبر', 5, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [69, 'الخفجي', 5, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [70, 'رأس تنورة', 5, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [
                71,
                'بقيق',
                5,
                1,
                '2024-09-07 10:30:58',
                '2024-09-07 10:30:58',
                NULL
            ],
            [72, 'النعيرية', 5, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [73, 'قرية العليا', 5, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [74, 'العديد', 5, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [75, 'البيضاء', 5, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [
                76,
                'أبها',
                6,
                1,
                '2024-09-07 10:30:58',
                '2024-09-07 10:30:58',
                NULL
            ],
            [77, 'خميس مشيط', 6, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [
                78,
                'بيشة',
                6,
                1,
                '2024-09-07 10:30:58',
                '2024-09-07 10:30:58',
                NULL
            ],
            [79, 'النماص', 6, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [80, 'محايل عسير', 6, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [81, 'ظهران الجنوب', 6, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [82, 'تثليث', 6, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [83, 'سراة عبيدة', 6, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [84, 'رجال ألمع', 6, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [85, 'بلقرن', 6, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [86, 'أحد رفيدة', 6, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [87, 'المجاردة', 6, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [88, 'البرك', 6, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [
                89,
                'بارق',
                6,
                1,
                '2024-09-07 10:30:58',
                '2024-09-07 10:30:58',
                NULL
            ],
            [90, 'تنومة', 6, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [
                91,
                'طريب',
                6,
                1,
                '2024-09-07 10:30:58',
                '2024-09-07 10:30:58',
                NULL
            ],
            [92, 'الحرجة', 6, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [
                93,
                'تبوك',
                7,
                1,
                '2024-09-07 10:30:58',
                '2024-09-07 10:30:58',
                NULL
            ],
            [
                94,
                'ضباء',
                7,
                1,
                '2024-09-07 10:30:58',
                '2024-09-07 10:30:58',
                NULL
            ],
            [95, 'الوجه', 7, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [96, 'تيماء', 7, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [
                97,
                'أملج',
                7,
                1,
                '2024-09-07 10:30:58',
                '2024-09-07 10:30:58',
                NULL
            ],
            [98, 'حقل', 7, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [99, 'البدع', 7, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [100, 'حائل', 8, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [101, 'بقعاء', 8, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [102, 'الغزالة', 8, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [103, 'الشنان', 8, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [104, 'السليمي', 8, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [105, 'الحائط', 8, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [106, 'الشملي', 8, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [107, 'موقق', 8, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [108, 'سميراء', 8, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [109, 'عرعر', 9, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [110, 'رفحاء', 9, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [111, 'طريف', 9, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [112, 'العويقيلة', 9, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [113, 'جازان', 10, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [114, 'صبيا', 10, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [115, 'أبو عريش', 10, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [116, 'صامطة', 10, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [
                117,
                'بيش',
                10,
                1,
                '2024-09-07 10:30:58',
                '2024-09-07 10:30:58',
                NULL
            ],
            [118, 'الدرب', 10, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [119, 'الحرث', 10, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [
                120,
                'ضمد',
                10,
                1,
                '2024-09-07 10:30:58',
                '2024-09-07 10:30:58',
                NULL
            ],
            [121, 'الريث', 10, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [122, 'فرسان', 10, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [123, 'الدائر', 10, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [124, 'العارضة', 10, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [125, 'أحد المسارحة', 10, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [126, 'العيدابي', 10, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [127, 'فيفاء', 10, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [128, 'الطوال', 10, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [129, 'هروب', 10, 1, '2024-09-07 10:30:58', '2024-09-07 10:30:58', NULL],
            [130, 'نجران', 11, 1, '2024-09-07 10:33:08', '2024-09-07 10:33:08', NULL],
            [131, 'شرورة', 11, 1, '2024-09-07 10:33:08', '2024-09-07 10:33:08', NULL],
            [132, 'حبونا', 11, 1, '2024-09-07 10:33:08', '2024-09-07 10:33:08', NULL],
            [133, 'بدر الجنوب', 11, 1, '2024-09-07 10:33:08', '2024-09-07 10:33:08', NULL],
            [134, 'ثار',11,1,'2024-09-07 10:33:08','2024-09-07 10:33:08',NULL],
            [135, 'خباش', 11, 1, '2024-09-07 10:33:08', '2024-09-07 10:33:08', NULL],
            [136, 'الباحة', 12, 1, '2024-09-07 10:33:08', '2024-09-07 10:33:08', NULL],
            [137, 'بلجرشي', 12, 1, '2024-09-07 10:33:08', '2024-09-07 10:33:08', NULL],
            [138, 'المندق', 12, 1, '2024-09-07 10:33:08', '2024-09-07 10:33:08', NULL],
            [139, 'المخواة', 12, 1, '2024-09-07 10:33:08', '2024-09-07 10:33:08', NULL],
            [140, 'قلوة', 12, 1, '2024-09-07 10:33:08', '2024-09-07 10:33:08', NULL],
            [141, 'العقيق', 12, 1, '2024-09-07 10:33:08', '2024-09-07 10:33:08', NULL],
            [142, 'القرى', 12, 1, '2024-09-07 10:33:08', '2024-09-07 10:33:08', NULL],
            [143, 'غامد الزناد', 12, 1, '2024-09-07 10:33:08', '2024-09-07 10:33:08', NULL],
            [144, 'الحجرة', 12, 1, '2024-09-07 10:33:08', '2024-09-07 10:33:08', NULL],
            [145, 'بني حسن', 12, 1, '2024-09-07 10:33:08', '2024-09-07 10:33:08', NULL],
            [146, 'سكاكا', 13, 1, '2024-09-07 10:33:08', '2024-09-07 10:33:08', NULL],
            [147, 'القريات', 13, 1, '2024-09-07 10:33:08', '2024-09-07 10:33:08', NULL],
            [148, 'دومة الجندل', 13, 1, '2024-09-07 10:33:08', '2024-09-07 10:33:08', NULL],
            [149, 'طبرجل', 13, 1, '2024-09-07 10:33:08', '2024-09-07 10:33:08', NULL]
        ];
        if(count(City::all()) == 0) {
            foreach ($cities as $value) {
                DB::table('cities')->insert([
                    'id' => $value[0],
                    'name' => $value[1],
                    'area_id' => $value[2],
                    'status' => $value[3],
                    'created_at' => $value[4],
                    'updated_at' => $value[5],
                    // 'deleted_at' => $value[6],
                ]);
            }
        }
    }
}
