<?php

namespace Database\Seeders;

use Carbon\Carbon;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class CurrentWorksSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run()
    {
        DB::table('current_works')->insert([
            [
                'id' => 1,
                'job_title' => 'مدير المدرسة',
                'assignment_category_id' => 1,
                'assignment_form_number' => 14,
                'type'=>'administrative',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
                'deleted_at' => null,
            ],
            [
                'id' => 2,
                'job_title' => 'معلم',
                'assignment_category_id' => 2,
                'assignment_form_number' => 18,
                'type'=>'teacher',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
                'deleted_at' => null,
            ],
            [
                'id' => 3,
                'job_title' => 'معلم التربية الخاصة',
                'assignment_category_id' => 2,
                'assignment_form_number' => 16,
                'type'=>'teacher',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
                'deleted_at' => null,
            ],
            [
                'id' => 4,
                'job_title' => 'معلم الموهوبين',
                'assignment_category_id' => 2,
                'assignment_form_number' => 15,
                'type'=>'teacher',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
                'deleted_at' => null,
            ],
            [
                'id' => 5,
                'job_title' => 'مساعد معلم التربية الخاصة',
                'assignment_category_id' => 2,
                'assignment_form_number' => 17,
                'type'=>'teacher',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
                'deleted_at' => null,
            ],
            [
                'id' => 6,
                'job_title' => 'وكيل الشؤون التعليمية',
                'assignment_category_id' => 1,
                'assignment_form_number' => 11,
                'type'=>'administrative',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
                'deleted_at' => null,
            ],
            [
                'id' => 7,
                'job_title' => 'وكيل شؤون الطلاب',
                'assignment_category_id' => 1,
                'assignment_form_number' => 12,
                'type'=>'administrative',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
                'deleted_at' => null,
            ],
            [
                'id' => 8,
                'job_title' => 'وكيل الشؤون المدرسية',
                'assignment_category_id' => 1,
                'assignment_form_number' => 13,
                'type'=>'administrative',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
                'deleted_at' => null,
            ],
            [
                'id' => 9,
                'job_title' => 'مساعد اداري',
                'assignment_category_id' => 3,
                'assignment_form_number' => 19,
                'type'=>'administrative',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
                'deleted_at' => null,
            ],
            [
                'id' => 10,
                'job_title' => 'موجه صحي',
                'assignment_category_id' => 3,
                'assignment_form_number' => 20,
                'type'=>'administrative',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
                'deleted_at' => null,
            ],
            [
                'id' => 11,
                'job_title' => 'الموجه الطلابي',
                'assignment_category_id' => 3,
                'assignment_form_number' => 21,
                'type'=>'administrative',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
                'deleted_at' => null,
            ],
            [
                'id' => 12,
                'job_title' => 'أمين مصادر التعلم',
                'assignment_category_id' => 3,
                'assignment_form_number' => 22,
                'type'=>'administrative',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
                'deleted_at' => null,
            ],
            [
                'id' => 13,
                'job_title' => 'محضر مختبر',
                'assignment_category_id' => 3,
                'assignment_form_number' => 23,
                'type'=>'administrative',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
                'deleted_at' => null,
            ],
            [
                'id' => 14,
                'job_title' => 'مسجل معلومات',
                'assignment_category_id' => 3,
                'assignment_form_number' => 24,
                'type'=>'administrative',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
                'deleted_at' => null,
            ],
            [
                'id' => 15,
                'job_title' => 'رائد نشاط',
                'assignment_category_id' => 3,
                'assignment_form_number' => 26,
                'type'=>'administrative',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
                'deleted_at' => null,
            ],
            [
                'id' => 16,
                'job_title' => 'حارس المدرسة',
                'assignment_category_id' => 3,
                'assignment_form_number' => 25,
                'type'=>'administrative',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
                'deleted_at' => null,
            ],
            [
                'id' => 17,
                'job_title' => 'عامل الخدمات',
                'assignment_category_id' => 3,
                'assignment_form_number' => 27,
                'type'=>'administrative',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
                'deleted_at' => null,
            ],
            [
                'id' => 18,
                'job_title' => 'موظف الخدمات',
                'assignment_category_id' => 3,
                'assignment_form_number' =>Null,
                'type'=>'administrative',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
                'deleted_at' => null,
            ],
            [
                'id' => 19,
                'job_title' => 'سكرتير',
                'assignment_category_id' => 3,
                'assignment_form_number' => Null,
                'type'=>'administrative',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
                'deleted_at' => null,
            ],
            [
                'id' => 20,
                'job_title' => 'مراسل',
                'assignment_category_id' => 3,
                'assignment_form_number' => Null,
                'type'=>'administrative',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
                'deleted_at' => null,
            ],
            [
                'id' => 21,
                'job_title' => 'مستخدم',
                'assignment_category_id' => 3,
                'assignment_form_number' => Null,
                'type'=>'administrative',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
                'deleted_at' => null,
            ],
        ]);
    }
}
